package com.izouma.awesomeadmin.dao;

import java.util.*;
import com.izouma.awesomeadmin.datasource.DataSource;
import org.springframework.stereotype.Repository;
import com.izouma.awesomeadmin.model.MarketCode;


/**
*  Dao接口
*/
@Repository("com.zoumaframe.dao.MarketCodeMapper")
public interface MarketCodeMapper{

    int deleteByPrimaryKey(Integer id);

    int insertSelective(MarketCode record);

    MarketCode selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(MarketCode record);

    List<MarketCode> queryAllMarketCode(MarketCode record);

    List<MarketCode> queryMarketCodeByPage(Map<String, Object> parameter);

    int delete(MarketCode record);

    MarketCode queryMarketCode(MarketCode record);

    List<MarketCode> query(MarketCode record);
}

